import 'package:flutter/material.dart';

import 'account_list.dart';
import 'recurring_transaction_list.dart';
import 'version_number.dart';

/// Eine Widget-Klasse, die die Einstellungsseite der Anwendung darstellt.
class Settings extends StatelessWidget {
  /// Erstellt eine neue Instanz dieser Klasse.
  const Settings({super.key});

  @override
  Widget build(final BuildContext context) => const Scaffold(
    body: SafeArea(
      child: Padding(
        padding: EdgeInsets.all(16),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Text(
              'Einstellungen',
              style: TextStyle(fontSize: 24, fontWeight: FontWeight.bold),
            ),
            SizedBox(height: 24),

            AccountList(),
                SizedBox(height: 24),

            RecurringTransactionList(),
            SizedBox(height: 8),
            VersionNumber(),
          ],
        ),
      ),
    ),
  );
}
